KIVATOFOAM(1)

NAME
kivaToFoam - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
kivaToFoam [OPTIONS]

DESCRIPTION
Convert a KIVA3v grid to OpenFOAM

OPTIONS

-case dir
    Specify case directory to use (instead of the cwd)

-file name
    Specify alternative input file name - default is otape17

-version version
    Specify kiva version [kiva3|kiva3v] - default is '3v'

-zHeadMin scalar
    Minimum z-height for transferring liner faces to cylinder-head

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-noFunctionObjects
    Do not execute function objects

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-doc-source
    Display source code in browser

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.